# Building wheel

First, set the current version number in `pes_to_spec/__init__.py`.

Use the following to build a wheel:
```
python -m build --sdist --wheel .
```

The generated file would be named: `dist/pes_to_spec-*-py3-none-any.whl`

# Updating wheel in DA server

This tool is packaged and made available through the DA server.
The following commands can be used to update the tool in the DA server:

```
# if not done before:
devpi use https://devpi.exfldadev01.desy.de/
devpi login [username]
devpi upload [wheel_file_name_generated_above.whl]
devpi push pes_to_spec==X.Y.Z euxfel/internal
```

# Installing it from the DA server

To install this tool from the DA server, use the following index URL:

```
pip install --index-url "https://devpi.exfldadev01.desy.de/euxfel/internal" pes_to_spec==X.Y.Z
```

